Installing FogBugz is very simple, and there’s not much difference between an install and an upgrade. In fact, if an upgrade goes wrong, you can just do a new install pointed at your old database:

  • Check out the FogBugz 8 System Requirements
  • Download the installer from http://shop.fogcreek.com
  • If you have a current FogBugz database, back it up. Everything FogBugz needs to run is contained in the database. If you don’t have a FogBugz database, it will be created for you in the install process.
  • Run the installer and go through the steps.

If you’re upgrading and anything goes wrong, you can always unhook the FogBugz web site, delete the FogBugz directory, and do a completely new install of the product. During the new install, you’ll be given the opportunity to select the FogBugz web site, and direct the installer to the FogBugz database.

If you are having trouble connecting to your FogBugz database through the installer, you can just have it create a new database and connect to your database by editing the connection string later.